org.apache.lucene.search.similarities

## Class AfterEffectB

- java.lang.Object
- - org.apache.lucene.search.similarities.AfterEffect
  - - org.apache.lucene.search.similarities.AfterEffectB

    public class AfterEffectB
    extends AfterEffect

Model of the information gain based on the ratio of two Bernoulli processes.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`AfterEffectB()` Sole constructor: parameter-free

### Method Summary

All Methods Instance Methods Concrete Methods
`Explanation` `explain(BasicStats stats, double tfn)` Returns an explanation for the score.
`double` `scoreTimes1pTfn(BasicStats stats)` Returns the product of the after effect with `1+tfn`.
`String` `toString()` Subclasses must override this method to return the code of the after effect formula.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AfterEffectB

    public AfterEffectB()

Sole constructor: parameter-free

### Method Detail

#### scoreTimes1pTfn

    public final double scoreTimes1pTfn(BasicStats stats)

Description copied from class: `AfterEffect`
Returns the product of the after effect with `1+tfn`. This may not depend on the value of `tfn`.

Specified by:
  `scoreTimes1pTfn` in class `AfterEffect`

#### explain

    public final Explanation explain(BasicStats stats,
                                     double tfn)

Description copied from class: `AfterEffect`
Returns an explanation for the score.

Specified by:
  `explain` in class `AfterEffect`

#### toString

    public String toString()

Description copied from class: `AfterEffect`
Subclasses must override this method to return the code of the after effect formula. Refer to the original paper for the list.

Specified by:
  `toString` in class `AfterEffect`